Container Apps Session Pools - Create Or Update
Create or update a session pool with the given properties.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/sessionPools/{sessionPoolName}?api-version=2026-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
session
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Name of the session pool. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
string |
The geo-location where the resource lives |
| identity |
The managed service identities assigned to this resource. |
||
| properties.containerType |
The container type of the sessions. You can use your own container to build the session pool, or you can use a predefined container to run workload with specific language. |
||
| properties.customContainerTemplate |
The custom container configuration if the containerType is CustomContainer. |
||
| properties.dynamicPoolConfiguration |
The pool configuration if the poolManagementType is dynamic. |
||
| properties.environmentId |
string (arm-id) |
Resource ID of the session pool's environment. |
|
| properties.managedIdentitySettings |
Optional settings for a Managed Identity that is assigned to the Session pool. |
||
| properties.poolManagementType |
The pool management type of the session pool. |
||
| properties.scaleConfiguration |
The scale configuration of the session pool. |
||
| properties.secrets |
The secrets of the session pool. |
||
| properties.sessionNetworkConfiguration |
The network configuration of the sessions in the session pool. |
||
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'SessionPool' update operation succeeded |
|
| 201 Created |
Resource 'SessionPool' create operation succeeded Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
Create or Update Session Pool with lifecycle On |
| Create or Update Session Pool with lifecycle type Timed |
| Create or Update Session Pool with MCP server |
Create or Update Session Pool with lifecycle OnContainerExit Timed
Sample request
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-07-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"lifecycleType": "OnContainerExit",
"maxAlivePeriodInSeconds": 86400
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementType": "Dynamic",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Sample response
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"lifecycleType": "OnContainerExit",
"maxAlivePeriodInSeconds": 86400
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"nodeCount": 1,
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "Succeeded",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"lifecycleType": "OnContainerExit",
"maxAlivePeriodInSeconds": 86400
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "InProgress",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Create or Update Session Pool with lifecycle type Timed
Sample request
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-07-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementType": "Dynamic",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Sample response
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"nodeCount": 1,
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "Succeeded",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "InProgress",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Create or Update Session Pool with MCP server
Sample request
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-07-01
{
"location": "East US",
"properties": {
"containerType": "Shell",
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"poolManagementType": "Dynamic",
"scaleConfiguration": {
"maxConcurrentSessions": 50
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Sample response
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"location": "East US",
"properties": {
"containerType": "Shell",
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"poolManagementEndpoint": "https://eastus.dynamicsessions.io/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/sessionPools/testsessionpool",
"poolManagementType": "Dynamic",
"provisioningState": "Succeeded",
"scaleConfiguration": {
"maxConcurrentSessions": 50
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"location": "East US",
"properties": {
"containerType": "Shell",
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"poolManagementEndpoint": "https://eastus.dynamicsessions.io/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/sessionPools/testsessionpool",
"poolManagementType": "Dynamic",
"provisioningState": "InProgress",
"scaleConfiguration": {
"maxConcurrentSessions": 50
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Definitions
| Name | Description |
|---|---|
|
Container |
The container type of the sessions. You can use your own container to build the session pool, or you can use a predefined container to run workload with specific language. |
|
created |
The type of identity that created the resource. |
|
Custom |
Custom container configuration. |
|
Dynamic |
Dynamic pool configuration. |
|
Environment |
Container App container environment variable. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Lifecycle |
The lifecycle configuration properties of a session in the dynamic session pool |
|
Lifecycle |
The lifecycle type of the session pool. |
|
Managed |
Optional settings for a Managed Identity that is assigned to the Session pool. |
|
Managed |
Managed service identity (system assigned and/or user assigned identities) |
|
Managed |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
Pool |
The pool management type of the session pool. |
|
Scale |
Scale configuration. |
| Scheme |
Scheme to use for connecting to the host. Defaults to HTTP. |
|
Session |
Container definitions for the sessions of the session pool. |
|
Session |
Container resource requirements for sessions of the session pool. |
|
Session |
Session pool ingress configuration. |
|
Session |
Session network configuration. |
|
Session |
Network status for the sessions. |
|
Session |
Container App session pool. |
|
Session |
Use to select the lifecycle stages of a Session Pool during which the Managed Identity should be available. |
|
Session |
Provisioning state of the session pool. |
|
Session |
Secret definition. |
|
Session |
Session probe configuration. |
|
Session |
HTTPGet specifies the http request to perform. |
|
Session |
HTTPHeader describes a custom header to be used in HTTP probes |
|
Session |
TCPSocket specifies an action involving a TCP port. TCP hooks not yet supported. |
|
Session |
Denotes the type of probe. Can be Liveness or Startup, Readiness probe is not supported in sessions. Type must be unique for each probe within the context of a list of probes (SessionProbes). |
|
Session |
Session pool private registry credentials. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
User |
User assigned identity properties |
ContainerType
The container type of the sessions. You can use your own container to build the session pool, or you can use a predefined container to run workload with specific language.
| Value | Description |
|---|---|
| CustomContainer |
CustomContainer |
| PythonLTS |
PythonLTS |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CustomContainerTemplate
Custom container configuration.
| Name | Type | Description |
|---|---|---|
| containers |
List of container definitions for the sessions of the session pool. |
|
| ingress |
Session pool ingress configuration. |
|
| registryCredentials |
Private container registry credentials for containers used by the sessions of the session pool. |
DynamicPoolConfiguration
Dynamic pool configuration.
| Name | Type | Description |
|---|---|---|
| lifecycleConfiguration |
The lifecycle configuration of a session in the dynamic session pool |
EnvironmentVar
Container App container environment variable.
| Name | Type | Description |
|---|---|---|
| name |
string |
Environment variable name. |
| secretRef |
string |
Name of the Container App secret from which to pull the environment variable value. |
| value |
string |
Non-secret environment variable value. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
LifecycleConfiguration
The lifecycle configuration properties of a session in the dynamic session pool
| Name | Type | Description |
|---|---|---|
| cooldownPeriodInSeconds |
integer (int32) |
The cooldown period of a session in seconds when the lifecycle type is 'Timed'. |
| lifecycleType |
The lifecycle type of the session pool. |
|
| maxAlivePeriodInSeconds |
integer (int32) |
The maximum alive period of a session in seconds when the lifecycle type is 'OnContainerExit'. |
LifecycleType
The lifecycle type of the session pool.
| Value | Description |
|---|---|
| Timed |
Timed |
| OnContainerExit |
OnContainerExit |
ManagedIdentitySetting
Optional settings for a Managed Identity that is assigned to the Session pool.
| Name | Type | Default value | Description |
|---|---|---|---|
| identity |
string |
The resource ID of a user-assigned managed identity that is assigned to the Session Pool, or 'system' for system-assigned identity. |
|
| lifecycle | None |
Use to select the lifecycle stages of a Session Pool during which the Managed Identity should be available. |
ManagedServiceIdentity
Managed service identity (system assigned and/or user assigned identities)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string (uuid) |
The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
| userAssignedIdentities |
<string,
User |
User-Assigned Identities |
ManagedServiceIdentityType
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
| Value | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
PoolManagementType
The pool management type of the session pool.
| Value | Description |
|---|---|
| Manual |
Manual |
| Dynamic |
Dynamic |
ScaleConfiguration
Scale configuration.
| Name | Type | Description |
|---|---|---|
| maxConcurrentSessions |
integer (int32) |
The maximum count of sessions at the same time. |
| readySessionInstances |
integer (int32) |
The minimum count of ready session instances. |
Scheme
Scheme to use for connecting to the host. Defaults to HTTP.
| Value | Description |
|---|---|
| HTTP |
HTTP |
| HTTPS |
HTTPS |
SessionContainer
Container definitions for the sessions of the session pool.
| Name | Type | Description |
|---|---|---|
| args |
string[] |
Container start command arguments. |
| command |
string[] |
Container start command. |
| env |
Container environment variables. |
|
| image |
string |
Container image tag. |
| name |
string |
Custom container name. |
| probes |
List of probes for the container. |
|
| resources |
Container resource requirements. |
SessionContainerResources
Container resource requirements for sessions of the session pool.
| Name | Type | Description |
|---|---|---|
| cpu |
number (double) |
Required CPU in cores, e.g. 0.5 |
| memory |
string |
Required memory, e.g. "250Mb" |
SessionIngress
Session pool ingress configuration.
| Name | Type | Description |
|---|---|---|
| targetPort |
integer (int32) |
Target port in containers for traffic from ingress |
SessionNetworkConfiguration
Session network configuration.
| Name | Type | Description |
|---|---|---|
| status |
Network status for the sessions. |
SessionNetworkStatus
Network status for the sessions.
| Value | Description |
|---|---|
| EgressEnabled |
EgressEnabled |
| EgressDisabled |
EgressDisabled |
SessionPool
Container App session pool.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| identity |
The managed service identities assigned to this resource. |
|
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.containerType |
The container type of the sessions. You can use your own container to build the session pool, or you can use a predefined container to run workload with specific language. |
|
| properties.customContainerTemplate |
The custom container configuration if the containerType is CustomContainer. |
|
| properties.dynamicPoolConfiguration |
The pool configuration if the poolManagementType is dynamic. |
|
| properties.environmentId |
string (arm-id) |
Resource ID of the session pool's environment. |
| properties.managedIdentitySettings |
Optional settings for a Managed Identity that is assigned to the Session pool. |
|
| properties.nodeCount |
integer (int32) |
The number of nodes the session pool is using. |
| properties.poolManagementEndpoint |
string (uri) |
The endpoint to manage the pool. |
| properties.poolManagementType |
The pool management type of the session pool. |
|
| properties.provisioningState |
Provisioning state of the session pool. |
|
| properties.scaleConfiguration |
The scale configuration of the session pool. |
|
| properties.secrets |
The secrets of the session pool. |
|
| properties.sessionNetworkConfiguration |
The network configuration of the sessions in the session pool. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SessionPoolIdentityLifeCycle
Use to select the lifecycle stages of a Session Pool during which the Managed Identity should be available.
| Value | Description |
|---|---|
| None |
Do not use managed identity during any lifecycle stage. |
| Main |
Use managed identity during the main stage of the Container App lifecycle. |
SessionPoolProvisioningState
Provisioning state of the session pool.
| Value | Description |
|---|---|
| InProgress |
InProgress |
| Succeeded |
Succeeded |
| Failed |
Failed |
| Canceled |
Canceled |
| Deleting |
Deleting |
SessionPoolSecret
Secret definition.
| Name | Type | Description |
|---|---|---|
| name |
string |
Secret Name. |
| value |
string (password) |
Secret Value. |
SessionProbe
Session probe configuration.
| Name | Type | Description |
|---|---|---|
| failureThreshold |
integer (int32) |
Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1. Maximum value is 10. |
| httpGet |
HTTPGet specifies the http request to perform. |
|
| initialDelaySeconds |
integer (int32) |
Number of seconds after the container has started before liveness probes are initiated. Minimum value is 1. Maximum value is 60. |
| periodSeconds |
integer (int32) |
How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value is 240. |
| successThreshold |
integer (int32) |
Minimum consecutive successes for the probe to be considered successful after having failed. Defaults to 1. Must be 1 for liveness and startup. Minimum value is 1. Maximum value is 10. |
| tcpSocket |
TCPSocket specifies an action involving a TCP port. TCP hooks not yet supported. |
|
| terminationGracePeriodSeconds |
integer (int64) |
Optional duration in seconds the pod needs to terminate gracefully upon probe failure. The grace period is the duration in seconds after the processes running in the pod are sent a termination signal and the time when the processes are forcibly halted with a kill signal. Set this value longer than the expected cleanup time for your process. If this value is nil, the pod's terminationGracePeriodSeconds will be used. Otherwise, this value overrides the value provided by the pod spec. Value must be non-negative integer. The value zero indicates stop immediately via the kill signal (no opportunity to shut down). This is an alpha field and requires enabling ProbeTerminationGracePeriod feature gate. Maximum value is 3600 seconds (1 hour) |
| timeoutSeconds |
integer (int32) |
Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 240. |
| type |
Denotes the type of probe. Can be Liveness or Startup, Readiness probe is not supported in sessions. Type must be unique for each probe within the context of a list of probes (SessionProbes). |
SessionProbeHttpGet
HTTPGet specifies the http request to perform.
| Name | Type | Description |
|---|---|---|
| host |
string |
Host name to connect to, defaults to the pod IP. You probably want to set "Host" in httpHeaders instead. |
| httpHeaders |
Custom headers to set in the request. HTTP allows repeated headers. |
|
| path |
string |
Path to access on the HTTP server. |
| port |
integer (int32) |
Name or number of the port to access on the container. Number must be in the range 1 to 65535. Name must be an IANA_SVC_NAME. |
| scheme |
Scheme to use for connecting to the host. Defaults to HTTP. |
SessionProbeHttpGetHttpHeadersItem
HTTPHeader describes a custom header to be used in HTTP probes
| Name | Type | Description |
|---|---|---|
| name |
string |
The header field name |
| value |
string |
The header field value |
SessionProbeTcpSocket
TCPSocket specifies an action involving a TCP port. TCP hooks not yet supported.
| Name | Type | Description |
|---|---|---|
| host |
string |
Optional: Host name to connect to, defaults to the pod IP. |
| port |
integer (int32) |
Number or name of the port to access on the container. Number must be in the range 1 to 65535. Name must be an IANA_SVC_NAME. |
SessionProbeType
Denotes the type of probe. Can be Liveness or Startup, Readiness probe is not supported in sessions. Type must be unique for each probe within the context of a list of probes (SessionProbes).
| Value | Description |
|---|---|
| Liveness |
Checks whether the session is still running and healthy. |
| Startup |
Checks whether the session has started successfully. |
SessionRegistryCredentials
Session pool private registry credentials.
| Name | Type | Description |
|---|---|---|
| identity |
string |
A Managed Identity to use to authenticate with Azure Container Registry. For user-assigned identities, use the full user-assigned identity Resource ID. For system-assigned identities, use 'system' |
| passwordSecretRef |
string |
The name of the secret that contains the registry login password |
| server |
string |
Container registry server. |
| username |
string |
Container registry username. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UserAssignedIdentity
User assigned identity properties
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
The client ID of the assigned identity. |
| principalId |
string (uuid) |
The principal ID of the assigned identity. |